<?php 

    // social
    CSF::createSection( 'sassly_settings', array(
        'title'  => esc_html__( 'Social', 'sassly-essential' ),
        'icon'   => 'fa fa-share-alt',
        'fields' => array(
            array(
                'id'      => 'enable_social_share',
                'type'    => 'switcher',
                'title'   => esc_html__( 'Enable social Share', 'sassly-essential' ),
                'desc'    => esc_html__( 'If you want to enable or disable 404 page button you can set ( YES / NO )', 'sassly-essential' ),
                'default' => false,
            ),
            array(
                'id'           => 'social_share',
                'type'         => 'group',
                'title'        => esc_html__( 'Add social share', 'sassly-essential' ),
                'button_title' => esc_html__( 'Add new share', 'sassly-essential' ),
                'desc'         => esc_html__( 'Set the social share icon and link here. Esay to use it just click the add icon button and search your social icon and set the url for the profile .', 'sassly-essential' ),
                'fields'       => array(
                   
                    array(
                        'id'      => 'bookmark_icon',
                        'type'    => 'icon',
                        'title'   => esc_html__( 'Social Icon', 'sassly-essential' ),
                        'desc'    => esc_html__( 'Set the social profile icon like ( facebook, twitter, linkedin, youtube ect. )', 'sassly-essential' ),
                        'default' => 'fa fa-facebook'
                    ),

                   
                    array(
                        'id'          => 'social_type',
                        'type'        => 'select',
                        'title'       => 'Select',
                        'placeholder' => esc_html__( 'Select an type' , 'sassly-essential' ),
                        'options'     => sassly_social_share_list(),
                        
                      ),
                ),
            ),

            array(
                'id'           => 'social_link',
                'type'         => 'group',
                'title'        => esc_html__( 'Add Social Link', 'sassly-essential' ),
                'button_title' => esc_html__( 'Add New Link', 'sassly-essential' ),
                'desc'         => esc_html__( 'Set the social icon and link here. Esay to use it just click the add icon button and search your social icon and set the url for the profile .', 'sassly-essential' ),
                'fields'       => array(
                   
                    array(
                        'id'      => 'bookmark_icon',
                        'type'    => 'icon',
                        'title'   => esc_html__( 'Social Icon', 'sassly-essential' ),
                        'desc'    => esc_html__( 'Set the social profile icon like ( facebook, twitter, linkedin, youtube ect. )', 'sassly-essential' ),
                        'default' => 'fa fa-facebook'
                    ),

                    array(
                        'id'      => 'bookmark_url',
                        'type'    => 'text',
                        'title'   => esc_html__( 'Profile Url', 'sassly-essential' ),
                        'desc'    => esc_html__( 'Type the social profile url lik http://facebook.com/yourpage. also you can add (facebook, twitter, linkedin, youtube etc.)', 'sassly-essential' ),
                        'default' => 'http://facebook.com/wealcoder'
                    ),

	                array(
		                'id'    => 'opt_new_tab',
		                'type'  => 'switcher',
		                'title' => esc_html__('New Tab','sassly-essential'),
	                ),

                ),
            ),
   
            array(
                'id'         => 'social_color',
                'type'       => 'color',
                'title'      => esc_html__( 'Footer Social Color', 'sassly-essential' ),
                'desc'       => esc_html__( 'Set the footer social bookmark color from here.', 'sassly-essential' ),
                'default'    => '',
                'dependency' => array( 'enable_footer_social', '==', 'true' ),
            ),

            array(
                'id'         => 'social_hover_color',
                'type'       => 'color',
                'title'      => esc_html__( 'Footer Social Hover Color', 'sassly-essential' ),
                'desc'       => esc_html__( 'Set the footer social bookmark hover color from here.', 'sassly-essential' ),
                'default'    => '',
                'dependency' => array( 'enable_footer_social', '==', 'true' ),
            ),

        ),

    ) );